%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-stylus
Version:    0.44.0
Release:    4%{?dist}
Summary:    Robust, expressive, and feature-rich CSS super-set for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/learnboost/stylus
Source0:    http://registry.npmjs.org/stylus/-/stylus-%{version}.tgz
# These sources are generated by running Source10, which pulls from the
# upstream version control repository.
Source1:    tests-%{version}.tar.bz2
Source2:    docs-%{version}.tar.bz2
Source3:    examples-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(css-parse)
BuildRequires:  npm(debug)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(sax)
BuildRequires:  npm(should)
%endif

%description
Stylus is a revolutionary new language, providing an efficient, dynamic,
and expressive way to generate CSS. It supports both indented syntax and
regular CSS style.

It has many features, including mixins, keyword arguments, variables,
interpolation, operators, conditionals, iteration, over 25 built-in functions,
optional compression and many more.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%setup -q -T -D -a 3 -n package
%nodejs_fixdep sax '~0.5'
find . -name .gitignore -delete


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stylus
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/stylus
mkdir -p %{buildroot}%{nodejs_sitelib}/stylus/bin
install -p -D -m0755 bin/stylus \
    %{buildroot}%{nodejs_sitelib}/stylus/bin/stylus
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/stylus/bin/stylus \
    %{buildroot}%{_bindir}/stylus

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha test/ test/middleware/ \
    --require should --bail --reporter dot
%endif


%files
%doc LICENSE Readme.md docs/ examples/
%{nodejs_sitelib}/stylus
%{_bindir}/stylus


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.44.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.44.0-3
- Don't ship .gitignore

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.44.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.44.0-1
- update to upstream release 0.44.0

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.43.1-1
- update to upstream release 0.43.1

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.42.2-1
- update to upstream release 0.42.2
- take Source0 from GitHub as the NPM tarball has some files stripped

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.35.1-1
- update to upstream release 0.35.1
- restrict to compatible arches

* Fri Jun 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.1-2
- add docs/ directory from upstream git
- enable tests

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.1-1
- update to upstream release 0.32.1
- add custom man page for /usr/bin/stylus

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.0-1
- initial package
